/*
 * Uncompress applet for busybox (c) 2002 Glenn McGrath
 * Common code for uncompress/bunzip2/unlzma
 * Copyright Vladimir Oleynik <dzo@simtreas.ru> (c) 2016
 *
 *  Licensed under GPL v2, see file LICENSE in this tarball for details.
 */
#ifdef APPLET_USAGE
#define uncompress_trivial_usage \
	"[-c] [-f] [ name ... ]"
#define uncompress_full_usage \
	"Uncompress .Z file[s]\n" \
	"Options:\n" \
	"\t-c\textract to stdout\n" \
	"\t-f\tforce overwrite an existing file"
#else

#include "busybox.h"
#include "unarchive.h"

extern int uncompress_main(void)
{
	return unx_main(".Z", 0, bb_uncompress, "\x1f\x9d");
}
#endif /* APPLET_USAGE */
