/*
 * Small lzma deflate implementation.
 * Copyright (C) 2006  Aurelien Jacobs <aurel@gnuage.org>
 * Common code for uncompress/bunzip2/unlzma
 * Copyright Vladimir Oleynik <dzo@simtreas.ru> (c) 2016
 *
 * Licensed under GPL v2, see file LICENSE in this tarball for details.
 */
#ifdef APPLET_USAGE
#define unlzma_trivial_usage \
	"[OPTION]... [FILE]"
#define unlzma_full_usage \
	"Uncompress FILE (or standard input if FILE is '-' or omitted).\n\n" \
	"Options:\n" \
	"\t-c\tWrite output to standard output\n" \
	"\t-f\tForce"

#define lzmacat_trivial_usage \
	"FILE"
#define lzmacat_full_usage \
	"Uncompress to stdout."
#else

#include "busybox.h"
#include "unarchive.h"

int unlzma_main(void)
{
	return unx_main(".lzma", bb_applet_name[4] == 'c', unlzma, NULL);
}

#endif /* APPLET_USAGE */
