/*
 * Mini dirname implementation for busybox
 *
 * Copyright (C) 1999-2004 by Erik Andersen <andersen@codepoet.org>
 * Licensed under GPL v2, see file LICENSE in this tarball for details.
 */

/* BB_AUDIT SUSv3 compliant */
/* http://www.opengroup.org/onlinepubs/007904975/utilities/dirname.html */

/* Vladimir Oleynik (c) 2008 - GNU coreutils-6.9 compatibility */
#ifdef APPLET_USAGE
#define dirname_trivial_usage \
	"FILENAME"
#define dirname_full_usage \
	"Strips non-directory suffix from FILENAME"
#else

#include "busybox.h"
#include <libgen.h>

extern int dirname_main(void)
{
	bb_xgetopt_ulflags("+\0=1");
	puts(dirname(*Gargv));
	bb_fflush_stdout_and_exit(EXIT_SUCCESS);
}
#endif /* APPLET_USAGE */
