/*
 * Mini whoami implementation for busybox
 *
 * Copyright (C) 2000  Edward Betts <edward@debian.org>.
 * Licensed under GPL v2, see file LICENSE in this tarball for details.
 */

/* BB_AUDIT SUSv3 N/A -- Matches GNU behavior. */
#ifdef APPLET_USAGE
#define whoami_trivial_usage \
	""
#define whoami_full_usage \
	"Prints the user name associated with the current effective user id."
#else

#include "busybox.h"
#include <unistd.h>

extern int whoami_main(void)
{
	if (Gargc > 1)
		bb_show_usage();

	puts(bb_getpwuid(NULL, geteuid(), -1));
	/* exits on error */
	bb_fflush_stdout_and_exit(EXIT_SUCCESS);
}
#endif /* APPLET_USAGE */
