#!/bin/sh

KNOCK_SRV=xxx.xxx.xxx.xxx
PORT=10022

TMP_FIFO_1=fifo1-$$.tmp
TMP_FIFO_2=fifo2-$$.tmp

mkfifo "$TMP_FIFO_1" "$TMP_FIFO_2"
nc "$KNOCK_SRV" "$PORT" < "$TMP_FIFO_1" > "$TMP_FIFO_2" &
exec 3> "$TMP_FIFO_1" 4< "$TMP_FIFO_2"

busybox eline --help > /dev/null 2> /dev/null
if [ $? -eq 0 ]; then
	echo -n "Your password: "
	p=$(busybox eline -n 129 -L -d '\n')
	echo
else
	read -p "Your password: " p
fi
read l <&4
read h m << EOF
$(echo "$p $l" | md5sum)
EOF
echo $h >&3
while read -r l <&4 ; do
	echo "$l"
done
rm "$TMP_FIFO_1" "$TMP_FIFO_2"
