#!/bin/sh

rm -rf /var/sheerdns
if [ "x$1" = xwww ]; then

 sheerdns -u mydomain.ru -S ns.mydomain.ru \
	-u mydomain.ru -N ns.mydomain.ru \
	-u mydomain.ru -M ns.mydomain.ru \
	-u '*'.mydomain.ru -C ns.mydomain.ru

 sheerdns -u brouter-user.mydomain.ru  -A 192.168.0.5 \
	-u ns.mydomain.ru              -A 192.168.1.1 \
	-u mydomain.ru                 -A 192.168.1.1 \
	-u brouter.mydomain.ru         -A 192.168.1.5 \
	-u gw.mydomain.ru              -A 192.168.1.6 \
	-u branch.mydomain.ru          -A 192.168.2.3 \
	-u branch-gw.mydomain.ru       -A 192.168.3.1 \
	-u branch-host.mydomain.ru     -A 192.168.3.2 \
	-u user.mydomain.ru            -A 192.168.0.2

 sheerdns -u 3.168.192 -S ns.mydomain.ru \
	-u 3.168.192 -N ns.mydomain.ru

 sheerdns -u 192.168.3.1 -P branch-gw.mydomain.ru \
	-u 192.168.3.2 -P branch-host.mydomain.ru

 sheerdns -u 0.168.192 -S ns.mydomain.ru \
	-u 0.168.192 -N ns.mydomain.ru

 sheerdns -u 192.168.0.2   -P user.mydomain.ru \
	-u 192.168.0.5  -P brouter-user.mydomain.ru
else

 sheerdns -u provider.ru -S gw.provider.ru \
	-u provider.ru -N gw.provider.ru \
	-u provider.ru -M gw.provider.ru \
	-u '*'.provider.ru -C gw.provider.ru

 sheerdns -u 1.168.192 -S ns.mydomain.ru \
	-u 1.168.192 -N ns.mydomain.ru

 sheerdns -u 192.168.1.1 -P ns.mydomain.ru \
	-u 192.168.1.5 -P brouter.mydomain.ru \
	-u 192.168.1.6 -P gw.provider.ru

 sheerdns -u gw.provider.ru   -A 192.168.1.6 \
	-u uplink.provider.ru -A 192.168.2.1 \
	-u client.provider.ru -A 192.168.2.2

 sheerdns -u 2.168.192 -S gw.provider.ru \
	-u 2.168.192 -N gw.provider.ru

 sheerdns -u 192.168.2.1 -P uplink.provider.ru \
	-u 192.168.2.2 -P client.mydomain.ru \
	-u 192.168.2.3 -P branch.mydomain.ru
fi
sheerdns -p 5353 -d -i 127.0.0.1
if [ "x$1" = xwww ]; then
 dnrd -s 127.0.0.1:mydomain.ru:5353 \
 -s 127.0.0.1:3.168.192.in-addr.arpa:5353 \
 -s 127.0.0.1:0.168.192.in-addr.arpa:5353 \
 -s 192.168.1.6 -u nobody
else
 dnrd -s 127.0.0.1:provider.ru:5353 \
 -s 127.0.0.1:1.168.192.in-addr.arpa:5353 \
 -s 127.0.0.1:2.168.192.in-addr.arpa:5353 \
 -s 192.168.1.1:mydomain.ru -u nobody
fi
