/*
 * Busybox xregcomp utility interface, use after #include "libbb.h"
 */
#ifndef __BB_REGEX__
#define __BB_REGEX__

#ifdef HAVE_REGEX
# include <regex.h>
#else
# include "regex.h"
#endif

extern void xregcomp(regex_t *preg, const char *regex, int cflags) FAST_FUNC;

#endif
