/*
 * Busybox utility routines.
 *
 * Copyright (C) 2005 by Tito Ragusa <tito-wolit@tiscali.it>
 *
 * Licensed under the GPL v2, see the file LICENSE in this tarball.
 */

#include "libbb.h"
#include <time.h>
#include <unistd.h>

FAST_FUNC void bb_do_delay(int seconds)
{
	time_t start, now;

	time(&start);
	now = start;
	while (difftime(now, start) < seconds) {
		sleep(seconds);
		time(&now);
	}
}
