/*
 * Little function to change the name of a process
 * setproctitle(...) implementation for busybox
 *
 * Copyright (C) 2008 Vladimir N. Oleynik <dzo@simtreas.ru>
 */

#include "libbb.h"

void bb_setproctitle(const char *format, ...)
{
	char *cp = f_l_a_proctitle[0];
	char *LastArg = f_l_a_proctitle[1];
	va_list parms;

	va_start(parms, format);
	cp += vsnprintf(cp, LastArg - cp, format, parms);
	while (cp < LastArg)
		*cp++ = ' ';
	va_end(parms);
}
