/*
 * Copyright (c) 2016 may safely be consumed by a BSD or GPL license.
 * Written by:   Vladimir Oleynik <dzo@simtreas.ru>
 *
 */

#include "libbb.h"
#include <string.h>

/* returns the struct ptr of the first member this struct array have equival string of key
   or the ptr to tail struct array with NULL string */
extern FAST_FUNC void *
find_string_from_struct(const void *p, unsigned offset, const char *key)
{
	while (*(char **)p != NULL) {
		if (strcmp(*(char **)p, key) == 0)
			break;
		p = ((char *)p) + offset;
	}
	return (void *)p;
}
