/*
 * Utility routines.
 *
 * Based by util-linux (c) ?
 *
 * Licensed under GPLv2 or later, see file LICENSE in this tarball for details.
 */

#include "libbb.h"
#include <unistd.h>

FAST_FUNC int fsync_close(int fd)
{
	if (fsync(fd) != 0 || close(fd) != 0)
		return -errno;
	return 0;
}
