/*
 * Copyright (C) 2008 Vladimir N. Oleynik <dzo@simtreas.ru>
 */

#include "libbb.h"
#include "bb_inet.h"
#include <string.h>

FAST_FUNC void safe_ifname_cp(struct ifreq *pifr, const char *ifname)
{
    safe_strncpy(pifr->ifr_name, ifname, IFNAMSIZ);
}

FAST_FUNC void safe_ifname_cp0(struct ifreq *pifr, const char *ifname)
{
    memset (pifr, 0, sizeof (struct ifreq));
    safe_ifname_cp(pifr, ifname);
}
