/*
 * Modified for busybox by Glenn McGrath <bug1@iinet.net.au>
 * Added support output to stdout by Thomas Lundquist <thomasez@zelow.no>
 *
 * Common code for uncompress/bunzip2/unlzma
 * Copyright Vladimir Oleynik <dzo@simtreas.ru> (c) 2016
 *
 * Licensed under GPLv2 or later, see file LICENSE in this tarball for details.
 */
#ifdef APPLET_USAGE
#define bunzip2_trivial_usage \
	"[OPTION]... [FILE]"
#define bunzip2_full_usage \
	"Uncompress FILE (or standard input if FILE is '-' or omitted).\n\n" \
	"Options:\n" \
	"\t-c\tWrite output to standard output\n" \
	"\t-f\tForce"

#define bzcat_trivial_usage \
	"FILE"
#define bzcat_full_usage \
	"Uncompress to stdout."
#else

#include "busybox.h"
#include "unarchive.h"

int bunzip2_main(void)
{
	return unx_main(".bz2", bb_applet_name[2] == 'c', uncompressStream, NULL);
}
#endif /* APPLET_USAGE */
