/*
 * Copyright 2002 Glenn McGrath
 * Licensed under GPL v2, see file LICENSE in this tarball for details.
 */

#include "unarchive.h"
#include <string.h>

extern void archive_xread_all(const archive_handle_t *archive_handle, void *buf, const size_t count)
{
	ssize_t size;

	size = bb_full_read(archive_handle->src_fd, buf, count);
	if (size != count)
		bb_error_msg_and_die("Short read");
}
