/*
 * Mini pwd implementation for busybox
 *
 * Copyright (C) 1995, 1996 by Bruce Perens <bruce@pixar.com>.
 *
 */
#ifdef APPLET_USAGE
#define pwd_trivial_usage \
	""
#define pwd_full_usage \
	"Print the full filename of the current working directory."
#else

#include "busybox.h"

extern int pwd_main(void)
{
	char *buf;

	bb_xgetopt_ulflags("\0??");
	if ((buf = xgetcwd(NULL)) != NULL)
		puts(buf);
	bb_fflush_stdout_and_exit(EXIT_SUCCESS);
}
#endif /* APPLET_USAGE */
