/*
 * usleep implementation for busybox
 *
 * Copyright (C) 2003  Manuel Novoa III  <mjn3@codepoet.org>
 * Licensed under GPL v2, see file LICENSE in this tarball for details.
 */

/* BB_AUDIT SUSv3 N/A -- Apparently a busybox extension. */
#ifdef APPLET_USAGE
#define usleep_trivial_usage \
	"N"
#define usleep_full_usage \
	"Pause for N microseconds."
#else

#include "busybox.h"
#include <unistd.h>

extern int usleep_main(void)
{
	bb_xgetopt_ulflags("\0=1");

	if (xusleep(bb_xparse_ul_number(10, *Gargv)))
		bb_perror_nomsg_and_die();
	return EXIT_SUCCESS;
}
#endif /* APPLET_USAGE */
