/*
	bb_xopen(name, flags, ...) interface
	Vladimir Oleynik <dzo@simtreas.ru> (c) 2007
*/
#ifndef _BB_XOPEN
# define _BB_XOPEN 1

#include <fcntl.h>

int bb_xopen(const char *name, int flags, ...);

#define BB_BIT0  1
#define BB_BIT1  2
#define BB_BIT2  4
#define BB_BIT3  8
#define BB_BIT4  16
#define BB_BIT5  32
#define BB_BIT6  64
#define BB_BIT7  128
#define BB_BIT8  256
#define BB_BIT9  512
#define BB_BIT10 1024
#define BB_BIT11 2048
#define BB_BIT12 4096
#define BB_BIT13 8192
#define BB_BIT14 16384
#define BB_BIT15 32768
#define BB_BIT16 65536
#define BB_BIT17 131072
#define BB_BIT18 262144
#define BB_BIT19 524288
#define BB_BIT20 1048576
#define BB_BIT21 2097152
#define BB_BIT22 4194304
#define BB_BIT23 8388608
#define BB_BIT24 16777216
#define BB_BIT25 33554432
#define BB_BIT26 67108864
#define BB_BIT27 134217728
#define BB_BIT28 268435456
#define BB_BIT29 536870912
#define BB_BIT30 1073741824
#define BB_BIT31 2147483648U

#if O_RDONLY == 0
#elif (O_RDONLY & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_RDONLY & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_RDONLY & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_RDONLY & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_RDONLY & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_RDONLY & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_RDONLY & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_RDONLY & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_RDONLY & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_RDONLY & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_RDONLY & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_RDONLY & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_RDONLY & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_RDONLY & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_RDONLY & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_RDONLY & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_RDONLY & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_RDONLY & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_RDONLY & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_RDONLY & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_RDONLY & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_RDONLY & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_RDONLY & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_RDONLY & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_RDONLY & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_RDONLY & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_RDONLY & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_RDONLY & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_RDONLY & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_RDONLY & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_RDONLY & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_RDONLY & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_RDONLY"
#endif

#if O_WRONLY == 0
#elif (O_WRONLY & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_WRONLY & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_WRONLY & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_WRONLY & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_WRONLY & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_WRONLY & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_WRONLY & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_WRONLY & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_WRONLY & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_WRONLY & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_WRONLY & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_WRONLY & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_WRONLY & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_WRONLY & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_WRONLY & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_WRONLY & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_WRONLY & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_WRONLY & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_WRONLY & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_WRONLY & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_WRONLY & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_WRONLY & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_WRONLY & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_WRONLY & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_WRONLY & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_WRONLY & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_WRONLY & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_WRONLY & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_WRONLY & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_WRONLY & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_WRONLY & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_WRONLY & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_WRONLY"
#endif

#if O_RDWR == 0
#elif (O_RDWR & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_RDWR & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_RDWR & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_RDWR & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_RDWR & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_RDWR & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_RDWR & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_RDWR & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_RDWR & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_RDWR & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_RDWR & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_RDWR & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_RDWR & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_RDWR & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_RDWR & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_RDWR & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_RDWR & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_RDWR & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_RDWR & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_RDWR & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_RDWR & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_RDWR & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_RDWR & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_RDWR & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_RDWR & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_RDWR & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_RDWR & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_RDWR & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_RDWR & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_RDWR & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_RDWR & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_RDWR & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_RDWR"
#endif

#if O_CREAT == 0
#elif (O_CREAT & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_CREAT & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_CREAT & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_CREAT & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_CREAT & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_CREAT & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_CREAT & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_CREAT & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_CREAT & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_CREAT & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_CREAT & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_CREAT & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_CREAT & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_CREAT & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_CREAT & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_CREAT & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_CREAT & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_CREAT & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_CREAT & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_CREAT & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_CREAT & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_CREAT & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_CREAT & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_CREAT & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_CREAT & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_CREAT & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_CREAT & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_CREAT & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_CREAT & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_CREAT & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_CREAT & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_CREAT & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_CREAT"
#endif

#if O_EXCL == 0
#elif (O_EXCL & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_EXCL & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_EXCL & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_EXCL & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_EXCL & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_EXCL & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_EXCL & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_EXCL & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_EXCL & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_EXCL & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_EXCL & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_EXCL & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_EXCL & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_EXCL & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_EXCL & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_EXCL & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_EXCL & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_EXCL & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_EXCL & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_EXCL & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_EXCL & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_EXCL & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_EXCL & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_EXCL & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_EXCL & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_EXCL & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_EXCL & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_EXCL & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_EXCL & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_EXCL & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_EXCL & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_EXCL & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_EXCL"
#endif

#if O_NOCTTY == 0
#elif (O_NOCTTY & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_NOCTTY & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_NOCTTY & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_NOCTTY & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_NOCTTY & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_NOCTTY & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_NOCTTY & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_NOCTTY & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_NOCTTY & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_NOCTTY & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_NOCTTY & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_NOCTTY & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_NOCTTY & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_NOCTTY & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_NOCTTY & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_NOCTTY & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_NOCTTY & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_NOCTTY & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_NOCTTY & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_NOCTTY & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_NOCTTY & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_NOCTTY & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_NOCTTY & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_NOCTTY & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_NOCTTY & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_NOCTTY & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_NOCTTY & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_NOCTTY & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_NOCTTY & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_NOCTTY & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_NOCTTY & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_NOCTTY & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_NOCTTY"
#endif

#if O_TRUNC == 0
#elif (O_TRUNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_TRUNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_TRUNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_TRUNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_TRUNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_TRUNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_TRUNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_TRUNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_TRUNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_TRUNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_TRUNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_TRUNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_TRUNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_TRUNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_TRUNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_TRUNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_TRUNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_TRUNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_TRUNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_TRUNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_TRUNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_TRUNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_TRUNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_TRUNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_TRUNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_TRUNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_TRUNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_TRUNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_TRUNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_TRUNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_TRUNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_TRUNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_TRUNC"
#endif

#if O_APPEND == 0
#elif (O_APPEND & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_APPEND & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_APPEND & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_APPEND & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_APPEND & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_APPEND & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_APPEND & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_APPEND & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_APPEND & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_APPEND & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_APPEND & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_APPEND & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_APPEND & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_APPEND & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_APPEND & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_APPEND & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_APPEND & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_APPEND & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_APPEND & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_APPEND & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_APPEND & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_APPEND & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_APPEND & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_APPEND & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_APPEND & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_APPEND & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_APPEND & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_APPEND & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_APPEND & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_APPEND & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_APPEND & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_APPEND & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_APPEND"
#endif

#ifdef O_NONBLOCK
#if O_NONBLOCK == 0
#elif (O_NONBLOCK & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_NONBLOCK & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_NONBLOCK & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_NONBLOCK & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_NONBLOCK & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_NONBLOCK & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_NONBLOCK & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_NONBLOCK & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_NONBLOCK & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_NONBLOCK & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_NONBLOCK & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_NONBLOCK & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_NONBLOCK & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_NONBLOCK & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_NONBLOCK & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_NONBLOCK & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_NONBLOCK & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_NONBLOCK & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_NONBLOCK & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_NONBLOCK & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_NONBLOCK & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_NONBLOCK & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_NONBLOCK & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_NONBLOCK & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_NONBLOCK & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_NONBLOCK & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_NONBLOCK & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_NONBLOCK & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_NONBLOCK & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_NONBLOCK & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_NONBLOCK & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_NONBLOCK & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_NONBLOCK"
#endif
#endif /* O_NONBLOCK */

#ifdef O_NDELAY
#if O_NDELAY == 0
#elif (O_NDELAY & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_NDELAY & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_NDELAY & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_NDELAY & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_NDELAY & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_NDELAY & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_NDELAY & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_NDELAY & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_NDELAY & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_NDELAY & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_NDELAY & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_NDELAY & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_NDELAY & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_NDELAY & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_NDELAY & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_NDELAY & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_NDELAY & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_NDELAY & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_NDELAY & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_NDELAY & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_NDELAY & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_NDELAY & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_NDELAY & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_NDELAY & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_NDELAY & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_NDELAY & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_NDELAY & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_NDELAY & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_NDELAY & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_NDELAY & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_NDELAY & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_NDELAY & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_NDELAY"
#endif
#endif /* O_NDELAY */

#ifdef O_SYNC
#if O_SYNC == 0
#elif (O_SYNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_SYNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_SYNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_SYNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_SYNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_SYNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_SYNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_SYNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_SYNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_SYNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_SYNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_SYNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_SYNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_SYNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_SYNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_SYNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_SYNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_SYNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_SYNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_SYNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_SYNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_SYNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_SYNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_SYNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_SYNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_SYNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_SYNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_SYNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_SYNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_SYNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_SYNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_SYNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_SYNC"
#endif
#endif /* O_SYNC */

#ifdef O_FSYNC
#if O_FSYNC == 0
#elif (O_FSYNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_FSYNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_FSYNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_FSYNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_FSYNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_FSYNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_FSYNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_FSYNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_FSYNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_FSYNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_FSYNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_FSYNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_FSYNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_FSYNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_FSYNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_FSYNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_FSYNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_FSYNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_FSYNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_FSYNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_FSYNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_FSYNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_FSYNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_FSYNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_FSYNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_FSYNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_FSYNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_FSYNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_FSYNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_FSYNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_FSYNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_FSYNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_FSYNC"
#endif
#endif /* O_FSYNC */

#ifdef O_ASYNC
#if O_ASYNC == 0
#elif (O_ASYNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_ASYNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_ASYNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_ASYNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_ASYNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_ASYNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_ASYNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_ASYNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_ASYNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_ASYNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_ASYNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_ASYNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_ASYNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_ASYNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_ASYNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_ASYNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_ASYNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_ASYNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_ASYNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_ASYNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_ASYNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_ASYNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_ASYNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_ASYNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_ASYNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_ASYNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_ASYNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_ASYNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_ASYNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_ASYNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_ASYNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_ASYNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_ASYNC"
#endif
#endif /* O_ASYNC */

#ifdef O_DIRECT
#if O_DIRECT == 0
#elif (O_DIRECT & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_DIRECT & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_DIRECT & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_DIRECT & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_DIRECT & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_DIRECT & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_DIRECT & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_DIRECT & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_DIRECT & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_DIRECT & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_DIRECT & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_DIRECT & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_DIRECT & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_DIRECT & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_DIRECT & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_DIRECT & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_DIRECT & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_DIRECT & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_DIRECT & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_DIRECT & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_DIRECT & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_DIRECT & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_DIRECT & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_DIRECT & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_DIRECT & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_DIRECT & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_DIRECT & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_DIRECT & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_DIRECT & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_DIRECT & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_DIRECT & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_DIRECT & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_DIRECT"
#endif
#endif /* O_DIRECT */

#ifdef O_DIRECTORY
#if O_DIRECTORY == 0
#elif (O_DIRECTORY & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_DIRECTORY & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_DIRECTORY & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_DIRECTORY & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_DIRECTORY & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_DIRECTORY & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_DIRECTORY & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_DIRECTORY & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_DIRECTORY & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_DIRECTORY & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_DIRECTORY & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_DIRECTORY & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_DIRECTORY & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_DIRECTORY & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_DIRECTORY & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_DIRECTORY & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_DIRECTORY & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_DIRECTORY & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_DIRECTORY & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_DIRECTORY & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_DIRECTORY & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_DIRECTORY & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_DIRECTORY & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_DIRECTORY & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_DIRECTORY & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_DIRECTORY & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_DIRECTORY & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_DIRECTORY & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_DIRECTORY & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_DIRECTORY & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_DIRECTORY & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_DIRECTORY & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_DIRECTORY"
#endif
#endif /* O_DIRECTORY */

#ifdef O_NOFOLLOW
#if O_NOFOLLOW == 0
#elif (O_NOFOLLOW & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_NOFOLLOW & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_NOFOLLOW & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_NOFOLLOW & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_NOFOLLOW & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_NOFOLLOW & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_NOFOLLOW & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_NOFOLLOW & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_NOFOLLOW & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_NOFOLLOW & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_NOFOLLOW & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_NOFOLLOW & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_NOFOLLOW & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_NOFOLLOW & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_NOFOLLOW & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_NOFOLLOW & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_NOFOLLOW & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_NOFOLLOW & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_NOFOLLOW & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_NOFOLLOW & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_NOFOLLOW & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_NOFOLLOW & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_NOFOLLOW & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_NOFOLLOW & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_NOFOLLOW & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_NOFOLLOW & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_NOFOLLOW & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_NOFOLLOW & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_NOFOLLOW & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_NOFOLLOW & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_NOFOLLOW & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_NOFOLLOW & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_NOFOLLOW"
#endif
#endif /* O_NOFOLLOW */

#ifdef O_DSYNC
#if O_DSYNC == 0
#elif (O_DSYNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_DSYNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_DSYNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_DSYNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_DSYNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_DSYNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_DSYNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_DSYNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_DSYNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_DSYNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_DSYNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_DSYNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_DSYNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_DSYNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_DSYNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_DSYNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_DSYNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_DSYNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_DSYNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_DSYNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_DSYNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_DSYNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_DSYNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_DSYNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_DSYNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_DSYNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_DSYNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_DSYNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_DSYNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_DSYNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_DSYNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_DSYNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_DSYNC"
#endif
#endif /* O_DSYNC */

#ifdef O_RSYNC
#if O_RSYNC == 0
#elif (O_RSYNC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_RSYNC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_RSYNC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_RSYNC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_RSYNC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_RSYNC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_RSYNC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_RSYNC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_RSYNC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_RSYNC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_RSYNC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_RSYNC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_RSYNC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_RSYNC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_RSYNC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_RSYNC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_RSYNC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_RSYNC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_RSYNC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_RSYNC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_RSYNC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_RSYNC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_RSYNC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_RSYNC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_RSYNC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_RSYNC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_RSYNC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_RSYNC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_RSYNC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_RSYNC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_RSYNC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_RSYNC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_RSYNC"
#endif
#endif /* O_RSYNC */

#ifdef O_LARGEFILE
#if O_LARGEFILE == 0
#elif (O_LARGEFILE & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_LARGEFILE & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_LARGEFILE & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_LARGEFILE & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_LARGEFILE & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_LARGEFILE & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_LARGEFILE & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_LARGEFILE & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_LARGEFILE & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_LARGEFILE & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_LARGEFILE & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_LARGEFILE & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_LARGEFILE & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_LARGEFILE & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_LARGEFILE & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_LARGEFILE & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_LARGEFILE & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_LARGEFILE & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_LARGEFILE & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_LARGEFILE & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_LARGEFILE & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_LARGEFILE & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_LARGEFILE & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_LARGEFILE & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_LARGEFILE & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_LARGEFILE & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_LARGEFILE & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_LARGEFILE & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_LARGEFILE & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_LARGEFILE & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_LARGEFILE & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_LARGEFILE & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_LARGEFILE"
#endif
#endif /* O_LARGEFILE */

#ifdef O_CLOEXEC
#if O_CLOEXEC == 0
#elif (O_CLOEXEC & BB_BIT0) != 0
# undef BB_USED_BIT0
# define BB_USED_BIT0 1
#elif (O_CLOEXEC & BB_BIT1) != 0
# undef BB_USED_BIT1
# define BB_USED_BIT1 1
#elif (O_CLOEXEC & BB_BIT2) != 0
# undef BB_USED_BIT2
# define BB_USED_BIT2 1
#elif (O_CLOEXEC & BB_BIT3) != 0
# undef BB_USED_BIT3
# define BB_USED_BIT3 1
#elif (O_CLOEXEC & BB_BIT4) != 0
# undef BB_USED_BIT4
# define BB_USED_BIT4 1
#elif (O_CLOEXEC & BB_BIT5) != 0
# undef BB_USED_BIT5
# define BB_USED_BIT5 1
#elif (O_CLOEXEC & BB_BIT6) != 0
# undef BB_USED_BIT6
# define BB_USED_BIT6 1
#elif (O_CLOEXEC & BB_BIT7) != 0
# undef BB_USED_BIT7
# define BB_USED_BIT7 1
#elif (O_CLOEXEC & BB_BIT8) != 0
# undef BB_USED_BIT8
# define BB_USED_BIT8 1
#elif (O_CLOEXEC & BB_BIT9) != 0
# undef BB_USED_BIT9
# define BB_USED_BIT9 1
#elif (O_CLOEXEC & BB_BIT10) != 0
# undef BB_USED_BIT10
# define BB_USED_BIT10 1
#elif (O_CLOEXEC & BB_BIT11) != 0
# undef BB_USED_BIT11
# define BB_USED_BIT11 1
#elif (O_CLOEXEC & BB_BIT12) != 0
# undef BB_USED_BIT12
# define BB_USED_BIT12 1
#elif (O_CLOEXEC & BB_BIT13) != 0
# undef BB_USED_BIT13
# define BB_USED_BIT13 1
#elif (O_CLOEXEC & BB_BIT14) != 0
# undef BB_USED_BIT14
# define BB_USED_BIT14 1
#elif (O_CLOEXEC & BB_BIT15) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT15 1
#elif (O_CLOEXEC & BB_BIT16) != 0
# undef BB_USED_BIT16
# define BB_USED_BIT16 1
#elif (O_CLOEXEC & BB_BIT17) != 0
# undef BB_USED_BIT17
# define BB_USED_BIT17 1
#elif (O_CLOEXEC & BB_BIT18) != 0
# undef BB_USED_BIT18
# define BB_USED_BIT18 1
#elif (O_CLOEXEC & BB_BIT19) != 0
# undef BB_USED_BIT19
# define BB_USED_BIT19 1
#elif (O_CLOEXEC & BB_BIT20) != 0
# undef BB_USED_BIT20
# define BB_USED_BIT20 1
#elif (O_CLOEXEC & BB_BIT21) != 0
# undef BB_USED_BIT21
# define BB_USED_BIT21 1
#elif (O_CLOEXEC & BB_BIT22) != 0
# undef BB_USED_BIT22
# define BB_USED_BIT22 1
#elif (O_CLOEXEC & BB_BIT23) != 0
# undef BB_USED_BIT23
# define BB_USED_BIT23 1
#elif (O_CLOEXEC & BB_BIT24) != 0
# undef BB_USED_BIT24
# define BB_USED_BIT24 1
#elif (O_CLOEXEC & BB_BIT25) != 0
# undef BB_USED_BIT25
# define BB_USED_BIT25 1
#elif (O_CLOEXEC & BB_BIT26) != 0
# undef BB_USED_BIT26
# define BB_USED_BIT26 1
#elif (O_CLOEXEC & BB_BIT27) != 0
# undef BB_USED_BIT27
# define BB_USED_BIT27 1
#elif (O_CLOEXEC & BB_BIT28) != 0
# undef BB_USED_BIT28
# define BB_USED_BIT28 1
#elif (O_CLOEXEC & BB_BIT29) != 0
# undef BB_USED_BIT29
# define BB_USED_BIT29 1
#elif (O_CLOEXEC & BB_BIT30) != 0
# undef BB_USED_BIT30
# define BB_USED_BIT30 1
#elif (O_CLOEXEC & BB_BIT31) != 0
# undef BB_USED_BIT31
# define BB_USED_BIT31 1
#else
#error "Can`t find 0-31 bit value for O_CLOEXEC"
#endif
#endif /* O_CLOEXEC */

#if !defined(BB_USED_BIT0) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT0
# define BB_USED_BIT0 1
#endif
#if !defined(BB_USED_BIT1) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT1
# define BB_USED_BIT1 1
#endif
#if !defined(BB_USED_BIT2) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT2
# define BB_USED_BIT2 1
#endif
#if !defined(BB_USED_BIT3) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT3
# define BB_USED_BIT3 1
#endif
#if !defined(BB_USED_BIT4) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT4
# define BB_USED_BIT4 1
#endif
#if !defined(BB_USED_BIT5) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT5
# define BB_USED_BIT5 1
#endif
#if !defined(BB_USED_BIT6) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT6
# define BB_USED_BIT6 1
#endif
#if !defined(BB_USED_BIT7) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT7
# define BB_USED_BIT7 1
#endif
#if !defined(BB_USED_BIT8) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT8
# define BB_USED_BIT8 1
#endif
#if !defined(BB_USED_BIT9) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT9
# define BB_USED_BIT9 1
#endif
#if !defined(BB_USED_BIT10) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT10
# define BB_USED_BIT10 1
#endif
#if !defined(BB_USED_BIT11) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT11
# define BB_USED_BIT11 1
#endif
#if !defined(BB_USED_BIT12) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT12
# define BB_USED_BIT12 1
#endif
#if !defined(BB_USED_BIT13) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT13
# define BB_USED_BIT13 1
#endif
#if !defined(BB_USED_BIT14) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT14
# define BB_USED_BIT14 1
#endif
#if !defined(BB_USED_BIT15) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT15
# define BB_USED_BIT15 1
#endif
#if !defined(BB_USED_BIT16) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT16
# define BB_USED_BIT16 1
#endif
#if !defined(BB_USED_BIT17) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT17
# define BB_USED_BIT17 1
#endif
#if !defined(BB_USED_BIT18) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT18
# define BB_USED_BIT18 1
#endif
#if !defined(BB_USED_BIT19) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT19
# define BB_USED_BIT19 1
#endif
#if !defined(BB_USED_BIT20) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT20
# define BB_USED_BIT20 1
#endif
#if !defined(BB_USED_BIT21) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT21
# define BB_USED_BIT21 1
#endif
#if !defined(BB_USED_BIT22) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT22
# define BB_USED_BIT22 1
#endif
#if !defined(BB_USED_BIT23) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT23
# define BB_USED_BIT23 1
#endif
#if !defined(BB_USED_BIT24) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT24
# define BB_USED_BIT24 1
#endif
#if !defined(BB_USED_BIT25) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT25
# define BB_USED_BIT25 1
#endif
#if !defined(BB_USED_BIT26) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT26
# define BB_USED_BIT26 1
#endif
#if !defined(BB_USED_BIT27) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT27
# define BB_USED_BIT27 1
#endif
#if !defined(BB_USED_BIT28) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT28
# define BB_USED_BIT28 1
#endif
#if !defined(BB_USED_BIT29) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT29
# define BB_USED_BIT29 1
#endif
#if !defined(BB_USED_BIT30) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT30
# define BB_USED_BIT30 1
#endif
#if !defined(BB_USED_BIT31) && !defined(BB_OPEN_WARN)
# define BB_OPEN_WARN BB_BIT31
# define BB_USED_BIT31 1
#endif
#if !defined(BB_OPEN_WARN)
#error "Can`t find free 0-31 bit value for BB_OPEN_WARN"
#endif


#if !defined(BB_USED_BIT0) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT0
# define BB_USED_BIT0 1
#endif
#if !defined(BB_USED_BIT1) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT1
# define BB_USED_BIT1 1
#endif
#if !defined(BB_USED_BIT2) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT2
# define BB_USED_BIT2 1
#endif
#if !defined(BB_USED_BIT3) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT3
# define BB_USED_BIT3 1
#endif
#if !defined(BB_USED_BIT4) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT4
# define BB_USED_BIT4 1
#endif
#if !defined(BB_USED_BIT5) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT5
# define BB_USED_BIT5 1
#endif
#if !defined(BB_USED_BIT6) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT6
# define BB_USED_BIT6 1
#endif
#if !defined(BB_USED_BIT7) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT7
# define BB_USED_BIT7 1
#endif
#if !defined(BB_USED_BIT8) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT8
# define BB_USED_BIT8 1
#endif
#if !defined(BB_USED_BIT9) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT9
# define BB_USED_BIT9 1
#endif
#if !defined(BB_USED_BIT10) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT10
# define BB_USED_BIT10 1
#endif
#if !defined(BB_USED_BIT11) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT11
# define BB_USED_BIT11 1
#endif
#if !defined(BB_USED_BIT12) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT12
# define BB_USED_BIT12 1
#endif
#if !defined(BB_USED_BIT13) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT13
# define BB_USED_BIT13 1
#endif
#if !defined(BB_USED_BIT14) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT14
# define BB_USED_BIT14 1
#endif
#if !defined(BB_USED_BIT15) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT15
# define BB_USED_BIT15 1
#endif
#if !defined(BB_USED_BIT16) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT16
# define BB_USED_BIT16 1
#endif
#if !defined(BB_USED_BIT17) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT17
# define BB_USED_BIT17 1
#endif
#if !defined(BB_USED_BIT18) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT18
# define BB_USED_BIT18 1
#endif
#if !defined(BB_USED_BIT19) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT19
# define BB_USED_BIT19 1
#endif
#if !defined(BB_USED_BIT20) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT20
# define BB_USED_BIT20 1
#endif
#if !defined(BB_USED_BIT21) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT21
# define BB_USED_BIT21 1
#endif
#if !defined(BB_USED_BIT22) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT22
# define BB_USED_BIT22 1
#endif
#if !defined(BB_USED_BIT23) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT23
# define BB_USED_BIT23 1
#endif
#if !defined(BB_USED_BIT24) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT24
# define BB_USED_BIT24 1
#endif
#if !defined(BB_USED_BIT25) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT25
# define BB_USED_BIT25 1
#endif
#if !defined(BB_USED_BIT26) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT26
# define BB_USED_BIT26 1
#endif
#if !defined(BB_USED_BIT27) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT27
# define BB_USED_BIT27 1
#endif
#if !defined(BB_USED_BIT28) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT28
# define BB_USED_BIT28 1
#endif
#if !defined(BB_USED_BIT29) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT29
# define BB_USED_BIT29 1
#endif
#if !defined(BB_USED_BIT30) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT30
# define BB_USED_BIT30 1
#endif
#if !defined(BB_USED_BIT31) && !defined(BB_OPEN_ERR)
# define BB_OPEN_ERR BB_BIT31
# define BB_USED_BIT31 1
#endif
#if !defined(BB_OPEN_ERR)
#error "Can`t find free 0-31 bit value for BB_OPEN_ERR"
#endif

#if !defined(BB_USED_BIT0) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT0
# define BB_USED_BIT0 1
#endif
#if !defined(BB_USED_BIT1) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT1
# define BB_USED_BIT1 1
#endif
#if !defined(BB_USED_BIT2) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT2
# define BB_USED_BIT2 1
#endif
#if !defined(BB_USED_BIT3) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT3
# define BB_USED_BIT3 1
#endif
#if !defined(BB_USED_BIT4) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT4
# define BB_USED_BIT4 1
#endif
#if !defined(BB_USED_BIT5) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT5
# define BB_USED_BIT5 1
#endif
#if !defined(BB_USED_BIT6) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT6
# define BB_USED_BIT6 1
#endif
#if !defined(BB_USED_BIT7) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT7
# define BB_USED_BIT7 1
#endif
#if !defined(BB_USED_BIT8) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT8
# define BB_USED_BIT8 1
#endif
#if !defined(BB_USED_BIT9) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT9
# define BB_USED_BIT9 1
#endif
#if !defined(BB_USED_BIT10) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT10
# define BB_USED_BIT10 1
#endif
#if !defined(BB_USED_BIT11) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT11
# define BB_USED_BIT11 1
#endif
#if !defined(BB_USED_BIT12) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT12
# define BB_USED_BIT12 1
#endif
#if !defined(BB_USED_BIT13) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT13
# define BB_USED_BIT13 1
#endif
#if !defined(BB_USED_BIT14) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT14
# define BB_USED_BIT14 1
#endif
#if !defined(BB_USED_BIT15) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT15
# define BB_USED_BIT15 1
#endif
#if !defined(BB_USED_BIT16) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT16
# define BB_USED_BIT16 1
#endif
#if !defined(BB_USED_BIT17) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT17
# define BB_USED_BIT17 1
#endif
#if !defined(BB_USED_BIT18) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT18
# define BB_USED_BIT18 1
#endif
#if !defined(BB_USED_BIT19) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT19
# define BB_USED_BIT19 1
#endif
#if !defined(BB_USED_BIT20) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT20
# define BB_USED_BIT20 1
#endif
#if !defined(BB_USED_BIT21) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT21
# define BB_USED_BIT21 1
#endif
#if !defined(BB_USED_BIT22) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT22
# define BB_USED_BIT22 1
#endif
#if !defined(BB_USED_BIT23) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT23
# define BB_USED_BIT23 1
#endif
#if !defined(BB_USED_BIT24) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT24
# define BB_USED_BIT24 1
#endif
#if !defined(BB_USED_BIT25) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT25
# define BB_USED_BIT25 1
#endif
#if !defined(BB_USED_BIT26) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT26
# define BB_USED_BIT26 1
#endif
#if !defined(BB_USED_BIT27) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT27
# define BB_USED_BIT27 1
#endif
#if !defined(BB_USED_BIT28) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT28
# define BB_USED_BIT28 1
#endif
#if !defined(BB_USED_BIT29) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT29
# define BB_USED_BIT29 1
#endif
#if !defined(BB_USED_BIT30) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT30
# define BB_USED_BIT30 1
#endif
#if !defined(BB_USED_BIT31) && !defined(BB_OPEN_CREAT_0777)
# define BB_OPEN_CREAT_0777 BB_BIT31
# define BB_USED_BIT31 1
#endif
#if !defined(BB_OPEN_CREAT_0777)
#error "Can`t find free 0-31 bit value for BB_OPEN_CREAT_0777"
#endif

#if !defined(BB_USED_BIT0) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT0
# define BB_USED_BIT0 1
#endif
#if !defined(BB_USED_BIT1) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT1
# define BB_USED_BIT1 1
#endif
#if !defined(BB_USED_BIT2) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT2
# define BB_USED_BIT2 1
#endif
#if !defined(BB_USED_BIT3) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT3
# define BB_USED_BIT3 1
#endif
#if !defined(BB_USED_BIT4) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT4
# define BB_USED_BIT4 1
#endif
#if !defined(BB_USED_BIT5) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT5
# define BB_USED_BIT5 1
#endif
#if !defined(BB_USED_BIT6) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT6
# define BB_USED_BIT6 1
#endif
#if !defined(BB_USED_BIT7) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT7
# define BB_USED_BIT7 1
#endif
#if !defined(BB_USED_BIT8) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT8
# define BB_USED_BIT8 1
#endif
#if !defined(BB_USED_BIT9) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT9
# define BB_USED_BIT9 1
#endif
#if !defined(BB_USED_BIT10) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT10
# define BB_USED_BIT10 1
#endif
#if !defined(BB_USED_BIT11) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT11
# define BB_USED_BIT11 1
#endif
#if !defined(BB_USED_BIT12) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT12
# define BB_USED_BIT12 1
#endif
#if !defined(BB_USED_BIT13) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT13
# define BB_USED_BIT13 1
#endif
#if !defined(BB_USED_BIT14) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT14
# define BB_USED_BIT14 1
#endif
#if !defined(BB_USED_BIT15) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT15
# define BB_USED_BIT15 1
#endif
#if !defined(BB_USED_BIT16) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT16
# define BB_USED_BIT16 1
#endif
#if !defined(BB_USED_BIT17) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT17
# define BB_USED_BIT17 1
#endif
#if !defined(BB_USED_BIT18) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT18
# define BB_USED_BIT18 1
#endif
#if !defined(BB_USED_BIT19) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT19
# define BB_USED_BIT19 1
#endif
#if !defined(BB_USED_BIT20) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT20
# define BB_USED_BIT20 1
#endif
#if !defined(BB_USED_BIT21) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT21
# define BB_USED_BIT21 1
#endif
#if !defined(BB_USED_BIT22) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT22
# define BB_USED_BIT22 1
#endif
#if !defined(BB_USED_BIT23) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT23
# define BB_USED_BIT23 1
#endif
#if !defined(BB_USED_BIT24) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT24
# define BB_USED_BIT24 1
#endif
#if !defined(BB_USED_BIT25) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT25
# define BB_USED_BIT25 1
#endif
#if !defined(BB_USED_BIT26) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT26
# define BB_USED_BIT26 1
#endif
#if !defined(BB_USED_BIT27) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT27
# define BB_USED_BIT27 1
#endif
#if !defined(BB_USED_BIT28) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT28
# define BB_USED_BIT28 1
#endif
#if !defined(BB_USED_BIT29) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT29
# define BB_USED_BIT29 1
#endif
#if !defined(BB_USED_BIT30) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT30
# define BB_USED_BIT30 1
#endif
#if !defined(BB_USED_BIT31) && !defined(BB_OPEN_MINUS_IS_STDIN)
# define BB_OPEN_MINUS_IS_STDIN BB_BIT31
# define BB_USED_BIT31 1
#endif
#if !defined(BB_OPEN_MINUS_IS_STDIN)
#error "Can`t find free 0-31 bit value for BB_OPEN_MINUS_IS_STDIN"
#endif

#define BB_OPEN_ADD_MASK (BB_OPEN_WARN | BB_OPEN_ERR | BB_OPEN_CREAT_0777 | BB_OPEN_MINUS_IS_STDIN)
#endif /* _BB_XOPEN */
