#ifndef CMDEDIT_H
#define CMDEDIT_H

int     cmdedit_read_input(const char *promptStr, char command[BUFSIZ]);
/* for command have initial (prefix) value */
int     cmdedit_read_input2(const char *prompt, char command[BUFSIZ]);

#ifdef CONFIG_ASH
extern const char *cmdedit_path_lookup;
#endif

#ifdef CONFIG_FEATURE_COMMAND_SAVEHISTORY
void    load_history ( const char *fromfile );
void    save_history ( const char *tofile );
#endif

#if CONFIG_FEATURE_COMMAND_EDITING_VI
void    setvimode ( int viflag );
#endif

#endif /* CMDEDIT_H */
