/*
 * Utility routines.
 *
 * Copyright (C) (C) 2003  Vladimir Oleynik  <dzo@simtreas.ru>
 *
 */

/*
   This function make special for recursive actions with usage
   concat_path_file(path, filename)
   and skiping "." and ".." directory entries
*/

#include "libbb.h"

extern FAST_FUNC char *concat_subpath_file(const char *path, const char *f)
{
	if(f && *f == '.' && (!f[1] || (f[1] == '.' && !f[2])))
		return NULL;
	return concat_path_file(path, f);
}
