/*
 * fflush_stdout_and_exit implementation for busybox
 *
 * Copyright (C) 2003  Manuel Novoa III  <mjn3@codepoet.org>
 * Licensed under the GPL v2 or later, see the file LICENSE in this tarball.
 *
 */

/* Attempt to fflush(stdout), and exit with an error code if stdout is
 * in an error state.
 */

#include "libbb.h"

FAST_FUNC void bb_fflush_stdout_and_exit(int retval)
{
	if (fflush(stdout))
		retval = bb_default_error_retval;
	exit(retval);
}
