/*
 * skip_whitespace implementation for busybox
 *
 * Copyright (C) 2003  Manuel Novoa III  <mjn3@codepoet.org>
 *
 * Copyright (C) 2008 Vladimir N. Oleynik <dzo@simtreas.ru>
 */

#include "libbb.h"
#include <ctype.h>

extern FAST_FUNC char *bb_skip_whitespace(const char *s)
{
	while (isspace(*s))
		++s;

	return (char *)s;
}
