/* vi set: sw=4 ts=4: */
/* Convert string str to lowercase, return str.
 *
 * Licensed under GPLv2 or later, see file LICENSE in this source tree.
 */
#include "libbb.h"
#include <ctype.h>

void FAST_FUNC str_tolower(char *str)
{
	while (*str != '\0') {
		char c = *str;
		if (isupper(c))
			*str = tolower(c);
		str++;
	}
}
