#ifdef APPLET_USAGE
#ifdef CONFIG_INETD_FULL
#define inetd_trivial_usage \
	"[-q len] [conf]"
#define inetd_full_usage \
	"Listens for network connections and launches programs\n\n" \
	"Option:\n" \
	"\t-q\tSets the size of the socket listen queue to\n" \
	"\t\tthe specified value. Default is 128"
#else
#define inetd_trivial_usage \
	"[-b bind] [-u user[.group]] port program [args...]"
#define inetd_full_usage \
	"Listens for network connections to specified port number\n"\
	"\t\tand launches program\n\n" \
	"Option:\n" \
	"\t-b bind\tSet bind address\n" \
	"\t-u user[.group]\tDrop root privilegies to this user and group"
#endif
#else

#include "busybox.h"
#ifdef CONFIG_INETD_FULL
/* special for calculate BSS "grep CALC_BSS" is true :) */
#include "inetd_bsd.c"
#else
#include "micro-inetd.c"
#endif
#endif /* APPLET_USAGE */
